# IRsPanelObj Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | CreatePanel ([in] IRsPanelOwner *pOwner)
HRESULT | DestroyPanelObjWindow (void)
HRESULT | SwitchExpandState (void)
HRESULT | UpdateAspect (void)
HRESULT | ShowAspectButton ([in] RtBool bShow)
HRESULT | UpdateByNode (void)
HRESULT | GetWndPos ([out, retval] POINT *pPos)
HRESULT | SetWndPos ([in] POINT newPos)
HRESULT | MoveWindow ([in] POINT ptDifference)
HRESULT | GetBoundingRect ([out, retval] RECT *rc)
HRESULT | GetWidth ([out, retval] int *pWidth)
HRESULT | GetHeight ([out, retval] int *pHeight)
HRESULT | OnResizeParentView (void)
HRESULT | IsAspectButtonVisible ([out, retval] RtBool *pVisible)
## Properties
IRsBaseNode ** | PanelNode`[get]`
BSTR * | PanelRoot`[get]`
BSTR | PanelRoot`[set]`
BSTR * | PanelTitle`[get]`
BSTR | PanelTitle`[set]`
RtUlong * | PanelAspect`[get]`
RtUlong | PanelAspect`[set]`
RtUlong * | PanelStyle`[get]`
RtUlong | PanelStyle`[set]`
RtPanelViewType * | PanelView`[get]`
RtPanelViewType | PanelView`[set]`
POINT * | Position`[get]`
POINT | Position`[set]`

## Detailed Description

The IRsPanelObj interface provides methods for panel object used in stack view. Contained LE panel, attached to a node.

## Member Function Documentation

HRESULT IRsPanelObj::CreatePanel | ( | [in] IRsPanelOwner * | pOwner | ) |

Create panel object window.

Parameters:

  | pOwner | [in] Panel owner of contained LE panel.

HRESULT IRsPanelObj::DestroyPanelObjWindow | ( | void |  | ) |

Destroy Panel window, and panel object window.

HRESULT IRsPanelObj::SwitchExpandState | ( | void |  | ) |

Expand or minimize panel window.

HRESULT IRsPanelObj::UpdateAspect | ( | void |  | ) |

Update aspect.

HRESULT IRsPanelObj::ShowAspectButton | ( | [in] RtBool | bShow | ) |

Set visibility of panel aspect button.

Parameters:

  | bShow | [in] If true, aspect button is visible, otherwise is hidden. If panel has only Default aspect, Aspect button is hidden automatically.

HRESULT IRsPanelObj::UpdateByNode | ( | void |  | ) |

Update panel in accord with node.

HRESULT IRsPanelObj::GetWndPos | ( | [out, retval] POINT * | pPos | ) |

Get panel position in stack view coordinates, based on panel object window rectangle.

Returns:
  pPos [out, retval] Pointer to a variable that retrieves panel object coordinates.

HRESULT IRsPanelObj::SetWndPos | ( | [in] POINT | newPos | ) |

Set panel position in stack view coordinates, based on panel object window rectangle.

Parameters:

  | newPos | [in] New panel object coordinates.

HRESULT IRsPanelObj::MoveWindow | ( | [in] POINT | ptDifference | ) |

Move panel obj window in stack view.

Parameters:

  | ptDifference | [in] The vector of move.

HRESULT IRsPanelObj::GetBoundingRect | ( | [out, retval] RECT * | rc | ) |

Get bounding rectangle of panel object window.

Returns:
  rc [out, retval] Pointer to a variable of type RECT that retrieves bounding rectangle.

HRESULT IRsPanelObj::GetWidth | ( | [out, retval] int * | pWidth | ) |

Get width of panel object window.

Returns:
  pWidth [out, retval] Pointer to a variable that retrieves width of panel object.

HRESULT IRsPanelObj::GetHeight | ( | [out, retval] int * | pHeight | ) |

Get height of panel object window.

Returns:
  pHeight [out, retval] Pointer to a variable that retrieves height of panel object.

HRESULT IRsPanelObj::OnResizeParentView | ( | void |  | ) |

Handle resize of parent view.

HRESULT IRsPanelObj::IsAspectButtonVisible | ( | [out, retval] RtBool * | pVisible | ) |

Call this method to get aspect state button visibility.

- If aspect button is hidden automatically, button is not visible.

Returns:
  pVisible [out, retval] Pointer to a variable that retrieves state of aspect button visibility.

## Property Documentation

IRsBaseNode** IRsPanelObj::PanelNode`[get]`

Get Panel Node.

Returns:
  ppPanelNode [out, retval] Pointer to the IRsBaseNode interface, that retrieves node of panel attached to contained LE panel.

BSTR* IRsPanelObj::PanelRoot`[get]`

Get panel root.

Returns:
  pVal [out, retval] Pointer to string structure that receives root string of node attached to LE panel.

BSTR IRsPanelObj::PanelRoot`[set]`

Set panel root.

Parameters:

  | newVal | [in] New root string of node that will be attached to LE panel.

BSTR* IRsPanelObj::PanelTitle`[get]`

Get panel title.

Returns:
  pVal [out, retval] Pointer to string structure that retrieves panel object title string, visible in panel object title bar.

BSTR IRsPanelObj::PanelTitle`[set]`

Set panel root.

Parameters:

  | newVal | [in] New panel object title string, visible in panel object title bar.

RtUlong* IRsPanelObj::PanelAspect`[get]`

Get panel aspect.

Returns:
  pVal [out, retval] Pointer to index that retrieves value of active panel aspect.

RtUlong IRsPanelObj::PanelAspect`[set]`

Set panel aspect.

Parameters:

  | newVal | [in] Index of new active panel aspect.

RtUlong* IRsPanelObj::PanelStyle`[get]`

Get panel style.

Returns:
  pVal [out, retval] Pointer to that receives flag value of panel style:
  - PANEL_HIDETITLE hide title.
  - PANEL_TITLE_HIDEROOT hide root in title.
  - PANEL_TITLE_HIDEASPBTN hide aspect button in title bar.
  - PANEL_TITLE_HIDECLOSEBNT hide close button in title bar.
  - PANEL_EDITOR_DISABLED disable editor.
  - PANEL_DISABLEASPECTCHANGE disable aspect change.
  - PANEL_MENUDISABELED disable menu.
  - PANEL_DISABLERENAME disable rename.
  - PANEL_DISABLECLOSE disable close.
  - PANEL_TITLE_HIDEICON hide icon in title.
  - PANEL_DISABLE_CONTROLSREPOSITIONING disable control repositioning.
  - PANEL_DISABLE_UITABLERESAVE disable UI table resave.
  - PANEL_TITLE_HIDEICONIZE hide iconize mode.

RtUlong IRsPanelObj::PanelStyle`[set]`

Set panel style.

Parameters:

  | newVal | [in] Set flag: PANEL_HIDETITLE hide title. PANEL_TITLE_HIDEROOT hide root in title. PANEL_TITLE_HIDEASPBTN hide aspect button in title bar. PANEL_TITLE_HIDECLOSEBNT hide close button in title bar. PANEL_EDITOR_DISABLED disable editor. PANEL_DISABLEASPECTCHANGE disable aspect change. PANEL_MENUDISABELED disable menu. PANEL_DISABLERENAME disable rename. PANEL_DISABLECLOSE disable close. PANEL_TITLE_HIDEICON hide icon in title. PANEL_DISABLE_CONTROLSREPOSITIONING disable control repositioning. PANEL_DISABLE_UITABLERESAVE disable UI table resave. PANEL_TITLE_HIDEICONIZE hide iconize mode.

RtPanelViewType* IRsPanelObj::PanelView`[get]`

Get panel view type.

Returns:
  pVal [out, retval] Get panel view type.

RtPanelViewType IRsPanelObj::PanelView`[set]`

Set panel view type.

Parameters:

  | newVal | [in] New panel view type.

POINT* IRsPanelObj::Position`[get]`

Get panel position in stack view.

Returns:
  pPos [out, retval] Pointer to a variable that received panel object position.

POINT IRsPanelObj::Position`[set]`

Set panel position in stack view.

Parameters:

  | newPos | [in] New object position.